using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using ASPNETCOREDEMO.Data;

// For more information on enabling Web API for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace ASPNETCOREDEMO.Controllers
{
	[Produces("application/json")]
	[Route("api/StudentMastersAPI")]
	public class StudentMastersAPIController : Controller
    {
		private readonly ASPNETCOREContext _context;

		public StudentMastersAPIController(ASPNETCOREContext context)
		{
			_context = context;
		}

		// GET: api/StudentMastersAPI
		[HttpGet]
		public IEnumerable<StudentMasters> GetStudentMasters()
		{
			return _context.StudentMasters;
		}
	}
}
